:root { --color-red: #ff0000; --clr-primary: #333333; --clr-secondary: #666666; --clr-white: #ffffff; --clr-black: #000000; --clr-active: #3498DB; --clr-btn: #1D4289; --clr-main: #222222; --font-title: "IBM-s"; --font-bold: "IBM-b"; --font-regular: "IBM"; --font-regular2:"IBM2"; --font-medium: "IBM-m"; --font-light: "IBM-l"; }
body { font-size: 14px; line-height: 1.5; }
.main__title { text-align: center; margin-bottom: 1.5rem; }
.main__title h1 { font-family: var(--font-title); font-size: clamp(24px, 3.5vw, 30px); color: var(--clr-main); text-transform: uppercase; }
.main__title p { font-family: var(--font-title); font-size: clamp(24px, 3.5vw, 30px); color: var(--clr-main); text-transform: uppercase; }
.title-main { position: relative; text-align: center; }
.title-main span { font-size: 1.5em; font-weight: bold; text-transform: uppercase; }
.ff-title { font-family: var(--font-title); }
.ff-bold { font-family: var(--font-bold); }
.ff-regular { font-family: var(--font-regular); }
.ff-regular2 { font-family: var(--font-regular); }
.ff-medium { font-family: var(--font-medium); }
.ff-light { font-family: var(--font-light); }
figure {margin-bottom: 0;}
.hidden--figcaption {display: none;}

/* Transition All */
.transition, .btn-frame .kenit-alo-circle-fill, .control-owl button, .carousel-comment-media .carousel-control a span, .menu ul li a.has-child:after, .menu ul li ul, .menu ul li:hover>ul, .scale-img img, .scale-img:hover>img, .support-online .kenit-alo-circle-fill { transition: 0.3s all; }
.gutter-x-20 { --bs-gutter-x: 20px; }
.gutter-x-5 { --bs-gutter-x: 5px; }
.slideshow { position: relative; width: 100%; overflow: hidden; }
.slideshow-video { bottom: 0; height: 100%; left: 0; overflow: hidden; pointer-events: none; position: absolute; top: 0; width: 100%; z-index: 4; }
.slideshow-video video { box-sizing: border-box; height: 56.25vw; left: 50%; max-width: none; min-height: 100%; min-width: 100%; position: absolute; top: 50%; transform: translate(-50%, -50%); width: 177.77777778vh; z-index: 1; }
.slideshow-content { height: 100vh !important; padding: 0 80px; position: relative; z-index: 11; }
.slideshow-content:before { content: ''; position: absolute; top: 0; left: 0; right: 0; bottom: 0; background: rgba(0, 32, 55, 0.11); z-index: 4; }
.slideshow-content-inner { display: flex; justify-content: center; align-items: center; flex-flow: row nowrap; height: 100%; margin-left: auto; margin-right: auto; max-width: 1500px; z-index: 5; position: relative; }
.slideshow-name { font-family: var(--font-light); font-size: 72px; color: var(--clr-white); }

/* Search */
.search { width: 50%; max-width: 400px; background: #fff; position: relative; border-radius: 10px; display: flex; justify-content: space-between; align-items: center; }
.search input { width: calc(100% - 35px); font-size: 13px; color: #333; border-radius: 10px; border: none; }
.search input:focus { border: none; box-shadow: none; }
.search label { height: 35px; cursor: pointer; text-align: center; font-size: 16px; background: #f00; color: #fff; border-radius: 10px; margin-right: 3px; padding: 5px 10px; }
.search label i { font-weight: bold; color: #999; }
.box-search { padding: 10px; border-bottom: 1px solid #f1f1f1; display: flex; justify-content: space-between; align-items: center; }
.ds-item-search { width: calc(100% - 70px); }
.ds-item-search a { font-size: 14px; color: #333; }
.show-search { position: absolute; z-index: 9999; top: 100%; background: #fff; width: 100%; border-radius: 10px; box-shadow: 0 1px 8px rgba(0, 0, 0, 0.3); }
.box-search .price-product { width: 100%; margin: 0px; text-align: left; }
.box-search .price-product .price-new { color: #f00; font-size: 14px; font-weight: bold; }
.box-search .price-product .price-old { color: #999; text-decoration-line: line-through; }

/* Mmenu */
.offcanvas .offcanvas-body { padding: 0 }
.offcanvas-body { flex-grow: 1; padding: 1rem 1rem; overflow: auto; }
.offcanvas-body::-webkit-scrollbar { width: 4px; height: 4px; transition: all 1s; }
.offcanvas-body::-webkit-scrollbar-thumb { background-color: #0d6efd; border-radius: 5px; transition: all 1s; }
.offcanvas-body::-webkit-scrollbar-track { background: #fff; width: 4px; height: 4px; transition: all 1s; }
.navigation-logo, .navigation-flex { position: relative; z-index: 1051; }
.offcanvas-start.show { transition: transform .3s ease-in-out 0s; }
.offcanvas-start { left: auto; right: 0; width: 100%; transform: translateX(100%); transition: transform .3s ease-in-out 0s; }
.offcanvas { width: 100%; background: url(../images/bg-menu.png) no-repeat center center / cover; }
.btn-close-menu { position: absolute; right: 20px; top: 20px; }
.menu-mobile { padding-top: 120px; }
.menu-mobile ul { padding: 0; list-style: none; margin: 0; width: 50%; padding-right: 3rem;}
.menu-mobile ul ul {width: 100%;}
.menu-mobile ul li { position: relative; }
.menu-mobile ul li>span i { transition: transform 0.3s ease; }
.menu-mobile ul li a { display: block; padding-right: 30px; color: var(--clr-white); font-size: 28px; padding: 10px 0px; border-bottom: 1px solid transparent; }
.menu-mobile ul li a i { margin-right: 10px; }
.menu-mobile ul li li a { font-weight: normal; }
.menu-mobile ul li a:hover { color: var(--clr-active); }
.menu-mobile ul li .scroll { position: absolute; right: -3rem; top: 9px; background: var(--clr-main); font-size: 17px; line-height: 18px; height: 25px; color: #fff; width: 35px; border-radius: 5px; display: flex; justify-content: center; align-items: center; cursor: pointer;}
.menu-mobile ul li:hover { color: var(--clr-active); }
.menu-mobile ul ul li .scroll { background: none; color: var(--clr-main); }
.menu-mobile ul li ul { padding-left: 10px; }
.head-menu { display: flex; justify-content: center; flex-wrap: wrap; }
.company { border-bottom: 1px solid transparent; padding-bottom: 10px; }
.company p { margin-bottom: 5px; font-size: 13px; }
.company p span { color: var(--clr-main); }
.search-menu { width: 100%; position: relative; margin: 10px 0px; }
.search-menu input { width: 100%; background: #f5f5fa; border: 1px solid #f1f1f1; height: 40px !important; font-size: 13px; }
.search-menu p { position: absolute; right: 10px; bottom: 8px; }

/* ? Navigation*/
.navigation { position: relative; z-index: 501; background: var(--clr-white); -webkit-transition: all 0.3s ease-out; -o-transition: all 0.3s ease-out; -moz-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }
.navigation>.navigation__inner { -webkit-column-gap: 1rem; -moz-column-gap: 1rem; column-gap: 1rem; padding: 0 60px; }
.navigation-flex { display: flex; align-items: stretch; gap: 15px; }
.navigation nav#menu { -webkit-box-flex: 1; -webkit-flex: 1; -moz-box-flex: 1; -ms-flex: 1; flex: 1; }
.navigation nav#menu ul { list-style: none; padding: 0; margin: 0; }
.navigation nav#menu ul:has(.level-0) { display: -webkit-box; display: -webkit-flex; display: -moz-box; display: -ms-flexbox; display: flex; -webkit-box-pack: justify; -webkit-justify-content: space-between; -moz-box-pack: justify; -ms-flex-pack: justify; justify-content: space-between; -webkit-box-align: center; -webkit-align-items: center; -moz-box-align: center; -ms-flex-align: center; align-items: center; }
.navigation nav#menu ul li { position: relative; z-index: 1; }
.navigation nav#menu ul li .navigation__name::before { position: absolute; content: ''; width: 100%; height: 1px; background: transparent; border-radius: 5px; left: 0px; bottom: 14px; transform-origin: right; transform: scaleX(0); transition: transform 0.5s; }
.navigation nav#menu ul li ul li .navigation__name::before { content: none; }
.navigation nav#menu ul li.active .navigation__name::before, .navigation nav#menu ul li:hover>.navigation__name::before { transform-origin: left; transform: scaleX(1); }
.navigation nav#menu ul li .navigation__name { display: block; position: relative; font-family: var(--font-medium); font-size: 17px; color: var(--clr-white); text-transform: uppercase; padding: .87rem 2rem .67rem; text-decoration: none; overflow: hidden; }
.navigation nav#menu ul li.active>.navigation__name, .navigation nav#menu ul li:hover>.navigation__name { color: var(--clr-white); background: #3A3A3A; }
.navigation nav#menu ul li ul { opacity: 0; visibility: hidden; position: absolute; top: 100%; left: 0; min-width: 250px; -webkit-border-radius: 0.25rem; -moz-border-radius: 0.25rem; border-radius: 0.25rem; background: var(--clr-white); -webkit-box-shadow: 1px 1px 15px var(--clr-black)26; -moz-box-shadow: 1px 1px 15px var(--clr-black)26; box-shadow: 1px 1px 15px var(--clr-black)26; padding: 0.75rem 0; margin-top: -5px; -webkit-transform: perspective(600px) scaleY(1.5) translateY(15px); -moz-transform: perspective(600px) scaleY(1.5) translateY(15px); transform: perspective(600px) scaleY(1.5) translateY(15px); -webkit-transform-origin: 0 0 0; -moz-transform-origin: 0 0 0; -ms-transform-origin: 0 0 0; -o-transform-origin: 0 0 0; transform-origin: 0 0 0; -webkit-transition: all .5s ease-out; -o-transition: all .5s ease-out; -moz-transition: all .5s ease-out; transition: all .5s ease-out; box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px; }
.navigation nav#menu ul li:hover>ul { opacity: 1; visibility: visible; -webkit-transform: perspective(600px) scaleY(1) translateY(0); -moz-transform: perspective(600px) scaleY(1) translateY(0); transform: perspective(600px) scaleY(1) translateY(0); -webkit-transform-origin: 0 0 0; -moz-transform-origin: 0 0 0; -ms-transform-origin: 0 0 0; -o-transform-origin: 0 0 0; transform-origin: 0 0 0; -webkit-transition: all .5s ease-out; -o-transition: all .5s ease-out; -moz-transition: all .5s ease-out; transition: all .5s ease-out; top: -webkit-calc(100% + 10px); top: -moz-calc(100% + 10px); top: calc(100% + 10px); }
.navigation nav#menu ul li ul li>ul { left: 100%; top: 0 !important; }
.navigation nav#menu ul li ul li { isolation: isolate; padding: 0 0.75rem; }
.navigation nav#menu ul li ul li a.navigation__name { color: var(--clr-black); padding: .7rem 0; }
.navigation nav#menu ul li ul li:hover>.navigation__name { background: transparent; color: var(--clr-active); }
.navigation nav#menu ul li ul li:not(:last-child):before { content: ''; position: absolute; right: 0.75rem; bottom: 0; left: 0.75rem; z-index: -1; height: 1px; background: var(--clr-silver); }
.navigation-line { display: block; width: 1px; height: inherit; background: #DBDDE0; }
#hamburger { display: block; margin: 3px 0 3px 4px; width: 24px; height: 24px; position: relative; cursor: pointer; }
#hamburger:before, #hamburger:after, #hamburger span { content: ''; position: absolute; left: 0; width: 100%; height: 2px; background: var(--clr-main); border-radius: 10px; transition: all 0.3s ease; }
#hamburger:before { top: 4px; }
#hamburger span { top: 12px; }
#hamburger:after { top: 20px; }
#hamburger.active:before { top: 12px; transform: rotate(45deg); background: var(--clr-white); }
#hamburger.active:after { top: 12px; transform: rotate(-45deg); background: var(--clr-white); }
#hamburger.active span { opacity: 0; }
.navigation.down-scroll { top: -100px; overflow: hidden;transition: all 300ms ease;}
.navigation.not-scroll.not-scroll,
.navigation.up-scroll { top: 0; transition: all 300ms ease;}
/* News */
.share { padding: 17px 10px 10px 10px; line-height: normal; background: rgba(128, 128, 128, 0.15); margin-top: 15px; border-radius: 5px; text-align: start; }
.share b { display: block; margin-bottom: 5px; }

/* Toc */
.tt-toc { position: relative; font-size: 18px; text-transform: uppercase; font-family: var(--font-bold); display: flex; justify-content: space-between; align-items: center; cursor: pointer; }
.box-readmore { padding: 8px 15px; border: 1px solid #dedede; margin-bottom: 2rem; border-radius: 5px; background-color: #eeeeee; }
.box-readmore li ul>li { margin: 0; margin-bottom: 8px; }
.box-readmore li ul>li:before { content: counters(item, '.') ' '; }
.box-readmore ul { list-style-type: none; counter-reset: item; margin-bottom: 0px; padding-left: 0px !important; margin-top: 8px; display: none; }
.box-readmore ul li { display: table; counter-increment: item; margin-bottom: 5px; }
.box-readmore ul li:before { content: counters(item, '.') '. '; display: table-cell; padding-right: 5px; }
.box-readmore ul li a { color: #333333; cursor: pointer; font-weight: 600; }
.box-readmore ul li a:hover { color: #767676; }

/* Video */
.video-main { position: relative; }
.list-video { margin-top: 10px; width: 100%; border-radius: 5px; border: 1px solid #ddd; }
.img-video span { position: absolute; left: 50%; top: 50%; transform: translateX(-50%) translateY(-50%); border: 1px solid #ff000066; border-radius: 50%; width: 50px; height: 50px; display: flex; justify-content: center; align-items: center; color: #f00; background: #ffffffa8; font-size: 27px; cursor: pointer; transition: all 1s; }
.video-item:hover span { transform: translateX(-50%) translateY(-50%) rotate(360deg); }
.video-name { text-align: center; font-size: 16px; margin-top: 10px; }

/* Sort */
.sort-select { display: flex; justify-content: end; margin: 20px 0px; position: relative; }
.sort-select .click-sort { border: 1px solid #e0e0e0; border-radius: 4px; cursor: pointer; font-size: 14px; padding: 6px 10px 6px 8px; margin: 0px; }
.sort-select-main { display: grid; background-color: #fff; border-radius: 4px; box-shadow: 0 4px 6px rgb(0 0 0 / 20%); position: absolute; padding: 0 7px; top: 30px; right: 0; width: 160px; z-index: 2; }
.sort-select-main p { border-bottom: 1px solid #f1f1f1; margin: 0px; order: 2; }
.sort-select-main p:has(.check) { order: 1; }
.sort a { color: #000; font-size: 14px; line-height: 17px; padding: 11px 3px; display: block; cursor: pointer; }
.sort a.check i { box-sizing: border-box; position: relative; display: inline-block; transform: scale(var(--ggs, 1)); width: 22px; height: 16px; border: 2px solid transparent; border-radius: 100px; vertical-align: middle; }
.sort a.check i::after { content: ''; display: block; box-sizing: border-box; position: absolute; left: 3px; top: -4px; width: 6px; height: 10px; border-width: 0 2px 2px 0; border-style: solid; transform-origin: bottom left; transform: rotate(45deg); }
.sort-select .sort-show { padding-right: 12px; position: relative; }
.sort-select .sort-show::before { content: ''; border-left: 4px solid transparent; border-right: 4px solid transparent; border-top: 4px solid #333; content: ''; height: 0; position: absolute; top: 6px; right: 0; width: 0; }

/* Product */
.filter { position: absolute; right: 0px; top: 0px; padding: 5px 10px; background: #f1f1f1; display: flex; justify-content: space-between; align-items: center; margin-bottom: 10px; text-transform: uppercase; border-radius: 5px; cursor: pointer; border: 1px solid #ddd; display: none; }
.flex-product-main { display: flex; gap: 20px; }
.flex-product-main .left-product { width: 250px; border: 1px solid #f1f1f1; padding: 20px; border-radius: 5px; }
.flex-product-main .right-product { width: calc(100% - 250px); }
.wr-search p { font-weight: bold; text-transform: uppercase; }

/* product detail */
.left-pro-detail .MagicZoom { border: 1px solid #7e7e7e; padding: 7px; -webkit-border-radius: 20px; -moz-border-radius: 20px; border-radius: 20px; background-color: var(--clr-white); }
.left-pro-detail .MagicZoom img { border-radius: 20px; }
.tabs-pro-detail .tab-content { border: 1px solid #ddd; border-top: none; padding: 20px; }
.nav-tabs li a { text-transform: uppercase; font-weight: 500; color: #333; }
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active, .nav-tabs .nav-link:hover { color: #f00; }
.attr-pro-detail { margin: auto; padding: 0; list-style: none; }
.title-pro-detail { text-transform: capitalize; display: block; }
.price-new-pro-detail { font-weight: 700; font-size: 20px; color: #ff2e00; }
.price-old-pro-detail { font-weight: 500; color: #666; text-decoration: line-through; padding-left: 10px; }
.color-pro-detail.active, .size-pro-detail.active, .size-pro-detail:hover { color: #fff !important; background: #232323; }
.quantity-pro-detail { width: 100%; max-width: 110px; line-height: normal; display: flex; align-items: center; justify-content: space-between; text-align: center; margin-right: 20px; font-weight: 500; }
.quantity-pro-detail span { line-height: 40px; padding: 0; width: 30px; height: 40px; color: #000; cursor: pointer; font-size: 22px; }
.quantity-pro-detail span.quantity-plus-pro-detail { border-left: 0; }
.quantity-pro-detail span.quantity-minus-pro-detail { border-right: 0; }
.quantity-pro-detail input { height: 40px; width: calc(100% - 60px); text-align: center; font-size: 20px; padding: 5px; font-weight: 700; }
.cart-pro-detail { margin-bottom: 1rem; display: flex; align-items: center; justify-content: flex-start; }
.cart-pro-detail a { text-align: center; color: #fff; padding: 8px 15px; cursor: pointer; border-radius: 5px; font-weight: bold; }
.cart-pro-detail a.addnow { margin-right: 10px; color: #fff; border-radius: 5px; }
.cart-pro-detail a.addnow:hover { background-color: #f00; color: #fff; border-color: #f00; }
.cart-pro-detail a.buynow { background-color: #000; }
.cart-pro-detail a.buynow:hover { background-color: #f00; color: #fff; }
.cart-pro-detail a i { vertical-align: top; margin-top: 3px; margin-right: 8px; }

/* Contact */
.contact-map { position: relative; height: 500px; margin-top: 30px; }
.contact-map iframe { position: absolute; left: 0px; top: 0px; width: 100%; height: 100%; }
.frm_contact { border: 1px solid #ddd; padding: 30px; }

/*  breadCrumbs */
.breadCrumbs { padding: 10px 0px; background: #ddd; }
.breadCrumbs ol { margin: 0px; }
.breadCrumbs ol li a { color: #333; }
.breadCrumbs ol li a:hover { color: #f00; }

/* paging */
.paging-product { position: relative; }
.pagination { margin: 20px 0px; text-align: center; }
.pagination li span { cursor: pointer; }
.btn-frame { display: block; width: 50px; height: 50px; position: fixed; right: 20px; z-index: 10; cursor: pointer; }
.btn-frame i { width: 50px; height: 50px; border-radius: 50%; background: #1182fc; position: relative; z-index: 1; display: flex; align-items: center; justify-content: center; }
.btn-frame i img { vertical-align: middle; width: 70%; }
.btn-frame .animated.infinite { animation-iteration-count: infinite; }
.btn-frame .kenit-alo-circle { width: 60px; height: 60px; top: -5px; right: -5px; position: absolute; background-color: transparent; border-radius: 100%; border: 2px solid rgba(7, 41, 103, 0.8); opacity: 0.1; border-color: #1182fc; opacity: 0.5; }
.btn-frame .zoomIn { animation-name: zoomIn; }
.btn-frame .animated { animation-duration: 1s; animation-fill-mode: both; }
.btn-frame .kenit-alo-circle-fill { width: 70px; height: 70px; top: -10px; right: -10px; position: absolute; border-radius: 100%; border: 2px solid transparent; background-color: rgba(7, 41, 103, 0.35); opacity: 0.4; }
.btn-frame .pulse { animation-name: pulse; }
.grid-properties { display: flex; gap: 10px; }
.grid-properties span { position: relative; border: 1px solid #ddd; padding: 5px 15px; cursor: pointer; }
.grid-properties span:hover, .grid-properties span.active { border: 1px solid #f00; color: #f00; }
.grid-properties span:hover:after, .grid-properties span.active:after { content: ''; border: 0.9375rem solid transparent; border-bottom: 0.9375rem solid var(#d0011b, #ee4d2d); bottom: 0; position: absolute; right: -0.9375rem; }
.grid-properties span.outstock { pointer-events: none; background-color: #fafafa; color: rgba(0, 0, 0, 0.26); cursor: not-allowed; }

/* News */
.grid-news { --col: 3; --gap-x: 15px; --gap-Y: 15px; }
.ds-news span { display: block; line-height: 25px; color: #999; font-size: 13px; margin: 10px 0px 0px; font-style: italic; }
.ds-news h3 { font-size: 16px; margin: 0; color: #000; font-weight: 500; text-transform: uppercase; -webkit-line-clamp: 2 !important; }
.ds-news .desc { color: #333; }
.item-news-all { display: flex; justify-content: space-between; }
.item-news-all .ds-news { width: calc(100% - 110px); }
.item-news-all .ds-news h3 { text-transform: capitalize; font-size: 15px; }
.flex-news-detail { display: flex; justify-content: space-between; align-items: start; flex-wrap: wrap; }
.news-left { width: 68%; }
.news-right { position: sticky; top: 20px; width: 30%; background: #f1f1f1cc; padding: 20px; box-shadow: 0px 0px 5px #99999978; }

/* Popup */
.modal-title { font-size: 20px; }

/* CSS cho loading */
.loading-overlay { display: none; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: rgba(255, 255, 255, 0.7); justify-content: center; align-items: center; z-index: 999; }
.loading { width: 50px; height: 50px; border: 5px solid rgba(0, 0, 0, 0.1); border-radius: 50%; border-top: 5px solid #3498db; animation: spin 1s linear infinite; }

/* Album */
.album__item-inner { position: relative; z-index: 1; }
.album__info { position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: #00000082; z-index: 1; display: grid; place-content: center; padding: 10px 15px; opacity: 0; transition: all 300ms ease; }
.album__name { font-family: var(--font-bold); font-size: clamp(16px, calc(20 / 1188 * 100vw), 20px); color: var(--clr-white); width: 0; overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }
.album__item:hover .album__info { opacity: 1; transition: all 300ms ease; }
.album__item:hover .album__name { width: 100%; transition: all 300ms ease; }
.album__photo { border-radius: 10px; overflow: hidden; }

/* TODO: Search Toggle */
.search__toggle { --height: 29px; position: relative; }
.search__toggle .search__icon { display: grid; place-items: center; width: 40px; height: var(--height); font-size: 20px; color: var(--clr-main); cursor: pointer; }
.search__toggle .search__icon.active { color: var(--clr-main); -webkit-border-radius: 50%; -moz-border-radius: 50%; border-radius: 50%; background: var(--clr-white); }
.search__toggle .search__grid { opacity: 1; width: 230px; overflow: hidden; position: absolute; top: 50px; right: 0px; display: -webkit-box; display: -webkit-flex; display: -moz-box; display: -ms-flexbox; display: flex; height: 40px; border: 1px solid var(--clr-main); -webkit-border-radius: 999px; -moz-border-radius: 999px; border-radius: 999px; background: var(--clr-white); padding: 0rem 0.25rem; }
.search__toggle .search__grid .search__button { display: grid; place-items: center; width: 35px; font-size: 17px; color: var(--clr-main); background: none; }
.search__toggle .search__grid .search__input { -webkit-box-flex: 1; -webkit-flex: 1; -moz-box-flex: 1; -ms-flex: 1; flex: 1; color: var(--clr-black); text-indent: 10px; width: 100%; }
.search__toggle .search__grid input, .search__toggle .search__grid input:focus { box-shadow: none; border: none; }
.search__toggle .search__grid input::-webkit-input-placeholder { color: var(--clr-silver); }
.search__toggle .search__grid input:-moz-placeholder { color: var(--clr-silver); }
.search__toggle .search__grid input::-moz-placeholder { color: var(--clr-silver); }
.search__toggle .search__grid input:-ms-input-placeholder { color: var(--clr-silver); }

/* ? About */
.wrap-about { position: relative; z-index: 1; }
.wrap-about:before { content: ''; position: absolute; top: 0; left: 50%; bottom: 0; right: 0; background: url(../images/bg-parameter.jpg) no-repeat center center /cover; z-index: -1; }
.about-left, .about-right { width: 50%; }
.about-name { font-size: clamp(20px, calc(24 / 1500 * 100vw), 24px); font-family: var(--font-medium); color: var(--clr-main); line-height: 1; }
.about-desc { font-size: clamp(18px, calc(18.7 / 1500 * 100vw), 18.7px); color: var(--clr-main); line-height: 30px; margin-top: 1rem; margin-bottom: 3rem; }
.about-btn { display: block; width: fit-content; padding: 13px 45px; border: 1px solid var(--clr-main); font-family: var(--font-medium); color: var(--clr-main); overflow: hidden; transition: all .5s ease; position: relative; z-index: 1; }
.about-btn:hover { transition: all .5s ease; color: var(--clr-white); }
.about-btn:after { content: ""; height: calc(100% + 6px); left: -3px; position: absolute; top: 0; transition: all .5s ease; width: calc(100% + 6px); z-index: 0; border-radius: 100% 100% 0 0; transform: translateY(100%) scaleY(.5); background: var(--clr-main); z-index: -1; }
.about-btn:hover:after { border-radius: 0 0 0 0; transform: translateY(0) scaleY(1); transition-delay: 0; }
.parameter__main { display: flex; align-items: stretch; justify-content: center; flex-wrap: wrap; margin: -30px; }
.parameter-item { flex: 1 0 calc(50% - 30px); width: calc(50% - 30px); max-width: calc(50% - 30px); text-align: center; color: var(--clr-white); }
.parameter-numb { font-size: 45px; letter-spacing: -0.9px; margin-bottom: 1.5rem; }
.parameter-name { font-size: 18px; color: #6D98D5; }

/* ? Service */
.wrap-serviceHome { background: #F1F2F3; }
.serviceHome__box { display: flex; align-items: center; }
.serviceHome-left, .serviceHome-right { width: 50%; }
.serviceHome__main { display: flex; flex-wrap: wrap; }
.serviceHome-item { flex: 1 0 50%; width: 50%; max-width: 50%; position: relative; z-index: 1;  overflow: hidden;  cursor: pointer;}
.serviceHome-photo { position: relative; z-index: 1; }
.serviceHome-photo a:after { content: ''; position: absolute; top: 0; left: 0; bottom: 0; right: 0; z-index: -1; }
.serviceHome-info { position: absolute; bottom: 0; left: 0; width: 100%; padding: 0 45px 30px; z-index: 3; }
.serviceHome-name a{ color: var(--clr-white); font-size: clamp(20px, calc(24 / 1500 * 100vw), 24px); text-align: center; }
.serviceHome-item:before {background: rgba(29, 66, 137, .85); content: ''; position: absolute; z-index: 2; top: 0;left: 0;right: 0;bottom: 0; opacity: 0; transition: all 300ms ease;}
.serviceHome-item.active:before {opacity: 1; transition: all 300ms ease;}
.serviceHome-desc, .serviceHome-btn { opacity: 0; height: 0;  color: var(--clr-white);  font-size: 16px; --line-clamp:5; transition: all 300ms ease;}
.serviceHome-item.active .serviceHome-desc,
.serviceHome-item.active .serviceHome-btn { opacity: 1; height: auto; display: block;  transition: all 300ms ease;}
.serviceHome-item.active .serviceHome-btn {color: var(--clr-active); width: fit-content; text-decoration: underline; transition: all 300ms ease;}
 
.service-item {position: relative; z-index: 1; }
.service-photo { position: relative; z-index: 1; }
.service-photo a:after { content: ''; position: absolute; top: 0; left: 0; bottom: 0; right: 0; z-index: -1; }
.service-info { position: absolute; bottom: 0; left: 0; width: 100%; padding: 0 45px 30px; z-index: 1; }
.service-name a{ color: var(--clr-white); font-size: clamp(20px, calc(24 / 1500 * 100vw), 24px); text-align: center; }


.titleService-title { font-size: 16px; font-family: var(--font-medium); color: var(--clr-main); text-transform: uppercase; }
.titleService-desc { font-size: clamp(24px, calc(36 / 1500 * 100vw), 36px); color: var(--clr-main); line-height: 60px; }

/* ? Title */
.title__main { font-size: clamp(30px, calc(38 / 1500 * 100vw), 38px); font-family: var(--font-medium); color: var(--clr-main); }
.title__line { display: block; width: 80px; height: 3px; border-radius: 2px; background: linear-gradient(90deg, #1D4289 0%, #3E6DC0 100%); margin: .25rem auto; }
.title__slogan { font-size: 15px; color: var(--clr-main); text-align: center; margin: .75rem 0 0; }
.title__slogan.formNewsletter__slogan { max-width: 690px; margin-left: auto; margin-right: auto; font-size: 16px; color: #444; }
.wrap-formNewsletter .title__main { margin-top: 1rem; }

/* ? partner */
.partner__main { margin-top: 30px; }
.partner__main .swiper-slide { padding: 35px 15px !important; transition: transform 0.3s ease; overflow: unset !important; }
.partner-item { background: #fff; overflow: hidden; transition: all 0.3s ease; }
.partner__main .swiper-pagination {bottom: -3rem;}
.partner__main .swiper-pagination-bullet { background: var(--clr-active); }
.partner__main .swiper-pagination-bullet, .swiper-pagination-bullet-active { background: var(--clr-main); }
   


/* ? Customer */
.customerHome__main { margin-top: 30px; }
.customerHome__main .swiper-slide { padding: 35px 15px !important; transition: transform 0.3s ease; overflow: unset !important; }
.customer-item { background: #fff; overflow: hidden; transition: all 0.3s ease; }
.customer-item:hover { transform: translateY(-5px); transition: all 0.3s ease; box-shadow: 0 15px 35px rgba(0, 0, 0, 0.12); border-color: rgba(29, 66, 137, 0.2); }
.customer-info { background: linear-gradient(180deg, #FFF 0%, #F8FAFF 100%); padding: 30px 20px 20px; }
.customer-name a { font-family: var(--font-title); font-size: 18px; color: var(--clr-main); --line-clamp: 1; padding-left: 10px; position: relative; z-index: 1; border-left: 3px solid var(--clr-main); margin-bottom: 15px; transition: all 300ms ease; }
.customer-name a:hover { border-color: var(--clr-active); color: var(--clr-active); transition: all 300ms ease; }
.customerHome__main .swiper-pagination-bullet { background: var(--clr-active); }
.customerHome__main .swiper-pagination-bullet, .swiper-pagination-bullet-active { background: var(--clr-main); }

/* ? News */
.newsHome__main { margin-top: 25px; }
.newsHome-left { width: 31.842105%; }
.newsHome-right { width: 66.052632%; }
.newsHome-right .swiper { height: 100%; }
.news-item { border: 1px solid #D8DDE2; overflow: hidden; border-radius: 10px; height: 100%; }
.news-info { padding: 20px 18px; }
.news-name a { color: var(--clr-black); font-family: var(--font-bold); font-size: 18px; --line-clamp: 2; transition: all 300ms ease; margin-bottom: 1.25rem; }
.news-name a:hover { color: var(--clr-active); transition: all 300ms ease; }
.news-desc { --line-clamp: 4; font-size: 15px; line-height: 22px; font-family: var(--font-regular2); }

/* ? Approach */
.wrap-approachHome { position: relative; z-index: 1; }
.wrap-approachHome:before { content: ''; position: absolute; top: 0; left: 50%; bottom: 0; right: 0; background: url(../images/bg-parameter.jpg) no-repeat center center /cover; z-index: -1; }
.approachHome-left, .approachHome-right { width: 50%; }
.approach__main { margin-top: .75rem; height: 330px; overflow: auto; }
.approach__main::-webkit-scrollbar { width: 4px; height: 4px; transition: all 1s; }
.approach__main::-webkit-scrollbar-thumb { background-color: var(--clr-main); border-radius: 5px; transition: all 1s; }
.approach__main::-webkit-scrollbar-track { background: #dbdbdb; width: 4px; height: 4px; transition: all 1s; }
.approach-title { font-family: var(--font-medium); font-size: 24px; color: var(--clr-main); }
.approach-item { padding: 20px 0; }
.approach-item:not(:last-child) { border-bottom: 1px solid #E5E7EB; }
.approach-item:hover .approach-name { color: var(--clr-active); transition: all 300ms ease; }
.approach-name { font-size: clamp(20px, calc(28 / 1500 * 100vw), 28px); color: var(--clr-main); transition: all 300ms ease; }
.approach-info-inner { max-height: 0; overflow: hidden; opacity: 0; padding: 0; transition: max-height 0.4s ease, opacity 0.3s ease, padding 0.3s ease; }
.approach-item.active .approach-info-inner { opacity: 1; padding: 20px; }
.approach-desc { font-size: 18px; margin-bottom: 0; color: var(--clr-main); }
.approachHome-right { display: flex; flex-direction: column; justify-content: center; align-items: start; }
.approach-box h2 { margin-bottom: .65rem; }
.approach-flex { display: flex; justify-content: end; flex-flow: row wrap; gap: 10px 25px; margin-top: 5rem; }
.approach-flex a { border: 1px solid var(--clr-white); padding: 13px 45px; font-family: var(--font-medium); color: var(--clr-white); text-transform: uppercase; position: relative; z-index: 1; overflow: hidden; }
.approach-flex a:hover { color: var(--clr-black); transition: all .5s ease; }
.approach-flex a:after { content: ""; height: calc(100% + 6px); left: -3px; position: absolute; top: 0; transition: all .5s ease; width: calc(100% + 6px); z-index: 0; border-radius: 100% 100% 0 0; transform: translateY(100%) scaleY(.5); background: var(--clr-white); z-index: -1; }
.approach-flex a:hover:after { border-radius: 0 0 0 0; transform: translateY(0) scaleY(1); transition-delay: 0; }

/* ? Form */
.wrap-formNewsletter { background: url(../images/bg-form.jpg) no-repeat center center /cover; }
.formNewsletter__main { min-height: 740px; box-shadow: -5px 5px 20px 0 rgba(0, 0, 0, 0.10); margin-top: 45px; }
.formNewsletter-left { background: #8B0000; color: var(--clr-white); display: flex; flex-direction: column; gap: 50px; justify-content: space-between; }
.formNewsletter-right { background: var(--clr-white); }
.formNewsletter-left, .formNewsletter-right { width: 50%; padding: 30px; }
.formNewsletter-name { font-family: var(--font-medium); font-size: 20px; padding-bottom: .5rem; position: relative; z-index: 1; }
.formNewsletter-name:before { content: ''; width: 40px; height: 3px; background: var(--clr-white); position: absolute; bottom: 0; left: 0; }
.formNewsletter-content { padding-bottom: 1rem; border-bottom: 1px solid rgba(255, 255, 255, 0.2); font-size: 15px; line-height: 26px; color: rgba(255, 255, 255, 0.8); }
.formNewsletter-social span { font-family: var(--font-medium); font-size: 18px; padding-bottom: .75rem; display: block; }
.footer__social { list-style: none; padding: 0; margin: 0; gap: 15px; }

/* ? FormNewsletter */
.formNewsletter-right label { font-family: var(--font-medium); font-size: 16px; margin-bottom: .5rem; }
.formNewsletter-right label span { color: #FF5252; }
.newsletter__input, .newsletter__button { width: 100%; position: relative; }
.newsletter__input, .newsletter__textarea { margin-bottom: 20px; }
.newsletter__input input { height: 51px; }
.newsletter__textarea textarea { height: 140px; resize: none; }
.newsletter__input input { font-size: 14px; color: var(--clr-black); border: 1px solid #cccccc; background: var(--clr-white); border-radius: 6px; }
.newsletter__input input::placeholder, .newsletter__input input:focus { /* autoprefixer: off */ font-size: 14px; color: var(--clr-black); background: var(--clr-white); box-shadow: none !important; }
.newsletter__button { width: fit-content; margin-left: auto; margin-right: auto; }
.newsletter__button input { border-radius: 0; height: 55px; font-family: var(--font-medium); font-size: 16px; color: var(--clr-white); outline: none; border: 1px solid var(--clr-main); background: var(--clr-main); padding: 0px 39px; width: 100%; border-radius: 6px; box-shadow: 0 4px 10px 0 rgba(29, 66, 137, 0.30); }
.newsletter__button input::placeholder, .newsletter__button input:focus { /* autoprefixer: off */ box-shadow: none !important; }
.newsletter__button input:hover { color: var(--clr-white); background: var(--clr-active); border-color: var(--clr-active); }

/* Footer */
.footer-article { background: #8B0000; }
.footer-article__inner { display: -webkit-box; display: -webkit-flex; display: -moz-box; display: -ms-flexbox; display: flex; -webkit-flex-wrap: wrap; -ms-flex-wrap: wrap; flex-wrap: wrap; -webkit-box-pack: justify; -webkit-justify-content: space-between; -moz-box-pack: justify; -ms-flex-pack: justify; justify-content: space-between; }
.footer-article--1 { padding: 40px 0 40px 60px; border-left: 1px solid #1D4289; }
.footer-name { font-size: 16px; font-family: var(--font-medium); color: var(--clr-white); text-transform: uppercase; margin-bottom: 13px; }
.footer-menu { display: flex; flex-flow: row wrap; padding: 0; margin: 0; list-style: none; gap: 0 15px; }
.footer-menu>li { flex: 1 0 100%; margin: 0 0 15px; padding: 0; }
.footer-menu>li:nth-child(2n + 1) { flex: 0 0 calc(60% - 30px); }
.footer-menu>li:nth-child(2n) { flex: 0 0 calc(40% - 30px); }
.footer-menu>li>a { color: var(--clr-white); font-size: 16px; transition: all 300ms ease; }
.footer-menu>li>a:hover { color: var(--clr-active); transition: all 300ms ease; }
.footer-title { font-family: var(--font-medium); font-size: 15px; color: var(--clr-white); position: relative; margin-bottom: 20px; text-transform: uppercase; }
.footer-title.has-line:before { content: ''; width: 50px; height: 3px; background: var(--clr-main); position: absolute; bottom: 0; left: 0; -webkit-border-radius: 50px; -moz-border-radius: 50px; border-radius: 50px; }
.footer-powered { padding-top: 20px; padding-bottom: 100px; background: #8B0000; color: var(--clr-white); }
.footer-powered .wrap-content { display: flex; align-items: center; justify-content: space-between; }
.footer-copyright { font-size: 16px; }

/* ? Inner */
.bannerInner { position: relative; z-index: 1; }
.bannerInner-background { bottom: 0; left: 0; position: absolute; right: 0; top: 0; }
.bannerInner-container {padding-top: 120px; position: relative; z-index: 2;}
.bannerInner-content {min-height: 480px; }
.bannerInner-content-inner h1 {font-size: 40px; font-family: var(--font-title);}
.wrap-content.max-w-1200 {max-width: 1200px;margin: 0 auto;} 

.shareKnowledge__main {min-height: 55px ; margin-top: 1rem;} 
.mobile-only { display: none; width: 100%; padding: 10px; border: 1px solid var(--clr-main); }
.choose__list {gap: 15px;}
.choose__item { border: 1px solid var(--clr-main); padding: 13px 45px; font-family: var(--font-bold); color: var(--clr-main);position: relative; z-index: 1; overflow: hidden;cursor: pointer;}
.choose__item.active,
.choose__item:hover { color: var(--clr-white); transition: all .5s ease; }
.choose__item:after { content: ""; height: calc(100% + 6px); left: -3px; position: absolute; top: 0; transition: all .5s ease; width: calc(100% + 6px); z-index: 0; border-radius: 100% 100% 0 0; transform: translateY(100%) scaleY(.5); background: var(--clr-main); z-index: -1; }
.choose__item.active:after { border-radius: 0 0 0 0; transform: translateY(0) scaleY(1); transition-delay: 0; }
.choose__item:hover:after { border-radius: 0 0 0 0; transform: translateY(0) scaleY(1); transition-delay: 0; }
